/*
								+----------------------------------+
								|                                  |
								| ***   Multi-platform timer   *** |
								|                                  |
								|   Copyright  -tHE SWINe- 2006   |
								|                                  |
								|             Timer.h              |
								|                                  |
								+----------------------------------+
*/

#ifndef WIN32
#define __int32 long
#define __int16 short
#define __int64 long long
#endif

#ifndef __TIMER_INCLUDED
#define __TIMER_INCLUDED

class CTimer {
#ifdef WIN32
	LARGE_INTEGER m_n_freq;
	unsigned __int64 m_n_time;
#else
	unsigned int m_n_freq;
	unsigned int m_n_time;
#endif
	float m_f_time;

public:
	CTimer();

	void ResetTimer();
	float f_Time();
};

#endif //__TIMER_INCLUDED
